This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 816262 - [abrt] kernel: BUG: Bad page map in process gsd-datetime-me pte:ffffffcc00000000 pmd:4a3f0067
[abrt] kernel: BUG: Bad page map in process gsd-datetime-me pte:ffffffcc0000...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:c3785015784abbe730aedbdab45...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 12:23 EDT by Matt Hooper
Modified: 2012-09-18 11:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-18 11:28:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Hooper 2012-04-25 12:23:59 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.2-1.fc16.x86_64 root=UUID=e69bf493-0e78-4d87-8be9-8de5600c8e99 ro rd.md=0 rd.lvm=0 rd.dm=0 quiet SYSFONT=latarcyrheb-sun16 rhgb KEYTABLE=uk rd.luks=0 LANG=en_US.UTF-8
kernel:         3.3.2-1.fc16.x86_64
reason:         BUG: Bad page map in process gsd-datetime-me  pte:ffffffcc00000000 pmd:4a3f0067
time:           Sun 22 Apr 2012 09:57:09 PM BST

backtrace:
:BUG: Bad page map in process gsd-datetime-me  pte:ffffffcc00000000 pmd:4a3f0067
:addr:000000348281d000 vm_flags:08000070 anon_vma:          (null) mapping:ffff880044cb4560 index:1d
:vma->vm_ops->fault: filemap_fault+0x0/0x4a0
:vma->vm_file->f_op->mmap: ext4_file_mmap+0x0/0x60
:Pid: 1578, comm: gsd-datetime-me Tainted: G           O 3.3.2-1.fc16.x86_64 #1
:Call Trace:
: [<ffffffff811433e9>] print_bad_pte+0x1d9/0x270
: [<ffffffff81145a49>] unmap_vmas+0x659/0x900
: [<ffffffff8112d0bd>] ? update_page_reclaim_stat+0x2d/0x70
: [<ffffffff8114de77>] exit_mmap+0x97/0x140
: [<ffffffff8116c244>] ? kmem_cache_free+0x94/0x130
: [<ffffffff81054d33>] mmput+0x73/0x110
: [<ffffffff8105b9f5>] exit_mm+0x105/0x130
: [<ffffffff8105bb9e>] do_exit+0x17e/0x8d0
: [<ffffffff81182ac8>] ? get_empty_filp+0x58/0x180
: [<ffffffff8105c642>] do_group_exit+0x42/0xa0
: [<ffffffff8106c557>] get_signal_to_deliver+0x207/0x5e0
: [<ffffffff810141f5>] do_signal+0x65/0x760
: [<ffffffff8119e082>] ? mnt_clone_write+0x12/0x30
: [<ffffffff811c4fa2>] ? anon_inode_getfile+0xe2/0x1f0
: [<ffffffff8116cf36>] ? kmem_cache_alloc_trace+0x76/0x150
: [<ffffffff81014998>] do_notify_resume+0x88/0xb0
: [<ffffffff815fc862>] int_signal+0x12/0x17

smolt_data:
:
:
:General
:=================================
:UUID: eae4bcde-4fff-4f6a-9e43-fd49010ff412
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5302.06
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7 CPU         920  @ 2.67GHz
:CPU Stepping: 4
:CPU Family: 6
:CPU Model Num: 26
:Number of CPUs: 1
:CPU Speed: 2650
:System Memory: 1248
:System Swap: 0
:Vendor: innotek GmbH
:System: VirtualBox 1.2
:Form factor: Unknown
:Kernel: 3.3.2-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4203:63:0:0) pci, ohci_hcd, USB, KeyLargo/Intrepid USB
:(32902:10281:0:0) pci, ahci, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
:(33006:48879:0:0) pci, None, VIDEO, VirtualBox Graphics Adapter
:(32902:28947:0:0) pci, None, BRIDGE, 82371AB/EB/MB PIIX4 ACPI
:(32902:4110:32902:30) pci, e1000, ETHERNET, PRO/1000 MT Desktop Adapter
:(33006:51966:0:0) pci, None, BASE, VirtualBox Guest Service
:(32902:9820:0:0) pci, ehci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller
:(32902:4663:0:0) pci, None, HOST/PCI, 440FX - 82441FX PMC [Natoma]
:(32902:9237:32902:0) pci, snd_intel8x0, MULTIMEDIA_AUDIO, 82801AA AC'97 Audio Controller
:(32902:28945:0:0) pci, ata_piix, STORAGE, 82371AB/EB/MB PIIX4 IDE
:(32902:28672:0:0) pci, None, PCI/ISA, 82371SB PIIX3 ISA [Natoma/Triton II]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 7915429 7120894 7041667 1982464 1869706 1869706
:/dev/sda4 /home ext4 4096 4096 5113110 4996019 4739559 1283632 1282855 1282855
:/dev/sda2 /boot ext4 1024 1024 202770 117220 106980 51200 50963 50963
:/dev/sr0 WITHHELD iso9660 2048 2048 24793 0 0 0 0 0
:
Comment 1 Dave Jones 2012-04-25 14:12:37 EDT
Can you reproduce this without virtualbox ?
Comment 2 Matt Hooper 2012-04-26 05:40:10 EDT
I believe I've only seen this once so far and don't know what caused it, so I'm afraid I don't know how to reproduce.
Comment 3 Matt Hooper 2012-04-26 12:45:07 EDT
Just noticed the following in abrt that didn't get posted due to the kernel being tainted. The process is the same so thought it may be useful.


kernel BUG at include/linux/mm.h:276!
invalid opcode: 0000 [#1] SMP 
CPU 0 
Modules linked in: nls_utf8 fuse vboxvideo(O) drm vboxsf(O) be2iscsi iscsi_boot_sysfs bnx2i cnic uio fcoe libfcoe cxgb4i libfc cxgb4 scsi_transport_fc scsi_tgt cxgb3i libcxgbi 8021q garp stp llc cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack ppdev joydev snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm vboxguest(O) microcode parport_pc parport snd_timer i2c_piix4 snd e1000 i2c_core soundcore snd_page_alloc uinput [last unloaded: scsi_wait_scan]
Pid: 1578, comm: gsd-datetime-me Tainted: G    B      O 3.3.2-1.fc16.x86_64 #1 innotek GmbH VirtualBox
RIP: 0010:[<ffffffff815ec146>]  [<ffffffff815ec146>] put_page_testzero.part.3+0x4/0x6
RSP: 0018:ffff88004a39da68  EFLAGS: 00010246
RAX: 0000000000000000 RBX: ffffea0000000000 RCX: 0000000000000000
RDX: ffff88004dc80000 RSI: ffffea0000000000 RDI: ffffea0000000000
RBP: ffff88004a39da68 R08: ffff88004a3e68f0 R09: 0000000000000000
R10: 0000000000000000 R11: 0000000000000001 R12: 000000348281f000
R13: ffffea0000000000 R14: 0000003482a00000 R15: ffff88004a22c0a0
FS:  0000000000000000(0000) GS:ffff88004fc00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 000000347f8bdb50 CR3: 000000004a2b1000 CR4: 00000000000006f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process gsd-datetime-me (pid: 1578, threadinfo ffff88004a39c000, task ffff88004a21ae60)
Stack:
 ffff88004a39da78 ffffffff8112d8fc ffff88004a39da98 ffffffff81157d5a
 ffffea0000000000 ffff88004a39dbe8 ffff88004a39dab8 ffffffff81143de8
 0000003482a00000 ffff88004a3f00f8 ffff88004a39dbd8 ffffffff811458eb
Call Trace:
 [<ffffffff8112d8fc>] put_page+0x3c/0x50
 [<ffffffff81157d5a>] free_page_and_swap_cache+0x2a/0x60
 [<ffffffff81143de8>] __tlb_remove_page+0x78/0xc0
 [<ffffffff811458eb>] unmap_vmas+0x4fb/0x900
 [<ffffffff8112d0bd>] ? update_page_reclaim_stat+0x2d/0x70
 [<ffffffff8114de77>] exit_mmap+0x97/0x140
 [<ffffffff8116c244>] ? kmem_cache_free+0x94/0x130
 [<ffffffff81054d33>] mmput+0x73/0x110
 [<ffffffff8105b9f5>] exit_mm+0x105/0x130
 [<ffffffff8105bb9e>] do_exit+0x17e/0x8d0
 [<ffffffff81182ac8>] ? get_empty_filp+0x58/0x180
 [<ffffffff8105c642>] do_group_exit+0x42/0xa0
 [<ffffffff8106c557>] get_signal_to_deliver+0x207/0x5e0
 [<ffffffff810141f5>] do_signal+0x65/0x760
 [<ffffffff8119e082>] ? mnt_clone_write+0x12/0x30
 [<ffffffff811c4fa2>] ? anon_inode_getfile+0xe2/0x1f0
 [<ffffffff8116cf36>] ? kmem_cache_alloc_trace+0x76/0x150
 [<ffffffff81014998>] do_notify_resume+0x88/0xb0
 [<ffffffff815fc862>] int_signal+0x12/0x17
Code: ff 31 d2 48 85 c0 48 89 df 48 0f 49 d0 57 9d 66 66 90 66 90 48 89 d0 5a 5b 5d c3 55 48 89 e5 0f 0b 55 48 89 e5 0f 0b 55 48 89 e5 <0f> 0b 55 48 89 e5 0f 0b 55 48 89 e5 0f 0b 55 48 89 e5 0f 0b 55 
RIP  [<ffffffff815ec146>] put_page_testzero.part.3+0x4/0x6
 RSP <ffff88004a39da68>
Comment 4 Dave Jones 2012-05-14 12:13:00 EDT
doesn't really tell us anything new unfortunately. Page reference count was incorrect. This, and the first trace could be caused by a number of things. Usually when we see this it's due to some kind of hardware fault like bad memory. (An actual bug here would get reported a lot, as it's common code every user runs).

Given this happened inside virtualbox, my instinct is to say this is likely a bug in vbox's page table handling. (Which hasn't been the first time we've seen problems like this tbh)
Comment 5 Matt Hooper 2012-05-14 13:32:42 EDT
Fair enough. Is there a process with regards nudging the VirtualBox guys or anything you'd like me to try to get more useful trace (assuming I can re-produce)?
Comment 6 Frank Mehnert 2012-07-11 02:05:57 EDT
Could you attach a VBox.log file of such a VM session? This is mainly to check your VM configuration.

Note You need to log in before you can comment on or make changes to this bug.